package com.sooka.sponest.monitor.dahua.service;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.core.domain.R;
import com.sooka.sponest.monitor.dahua.domain.CenternonitorTDahuaOperateLog;
import com.sooka.sponest.monitor.dahua.vo.ChannelCodeVO;

import java.util.LinkedHashMap;
import java.util.List;

/**
 * 【请填写功能名称】Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ICenternonitorTDahuaOperateLogService 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
     CenternonitorTDahuaOperateLog selectCenternonitorTDahuaOperateLogById(CenternonitorTDahuaOperateLog centernonitorTDahuaOperateLog);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param centernonitorTDahuaOperateLog 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
     List<CenternonitorTDahuaOperateLog> selectCenternonitorTDahuaOperateLogList(CenternonitorTDahuaOperateLog centernonitorTDahuaOperateLog);

    Integer selectExportList(CenternonitorTDahuaOperateLog centernonitorTDahuaOperateLog);
    /**
     * 新增【请填写功能名称】
     * 
     * @param centernonitorTDahuaOperateLog 【请填写功能名称】
     * @return 结果
     */
     int insertCenternonitorTDahuaOperateLog(CenternonitorTDahuaOperateLog centernonitorTDahuaOperateLog);

    /**
     * 修改【请填写功能名称】
     * 
     * @param centernonitorTDahuaOperateLog 【请填写功能名称】
     * @return 结果
     */
     int updateCenternonitorTDahuaOperateLog(CenternonitorTDahuaOperateLog centernonitorTDahuaOperateLog);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
     int deleteCenternonitorTDahuaOperateLogByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
     int deleteCenternonitorTDahuaOperateLogById(Long id);

    /**
     * 同步大华操作日志
     */
    R<?> getAllLogData(String startTime, String endTime, String operateTypeValue) throws Exception;

    /**
     * 获取设备名称
     */
    List<ChannelCodeVO> selectDeviceNameList();

    /**
     * 批量保存大华云台日志
     */
    int insertBatch(List<CenternonitorTDahuaOperateLog> list);

    /**
     * 根据时间和类型删除华云台日志
     */
    void deleteByDate(String startTime, String endTime, String operateTypeValue);

    void updateFourField(String year);

    LinkedHashMap<String, Object> selectOperateLogCountByDeptId(JSONObject jsonObject);
}
